Delete Document
curl --request DELETE \
--url https://api.nugen.in/api/v3/documents/{document_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nugen.in/api/v3/documents/{document_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nugen.in/api/v3/documents/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document_id": "document_01k4x9m2p7q3r5s8",
"message": "Document document_01k4x9m2p7q3r5s8 has been successfully deleted."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Documents
Delete Document
Permanently delete a document.
This endpoint removes a document from the system. Note that this only deletes the document record and metadata.
Args:
document_id: Document ID to delete (path parameter)
Returns:
DeleteDocumentResponse: Deletion confirmation containing:
document_id: ID of the deleted documentmessage: Success confirmation message
Raises:
404: If the document is not found or doesn’t belong to the user
Example: Request:
DELETE /api/v3/documents/document_01k4x9m2p7q3r5sa
Headers: {"Authorization": "Bearer <api_key>"}
Response:
{
"document_id": "document_01k4x9m2p7q3r5sa",
"message": "Document Deleted Successfully"
}
DELETE
/
api
/
v3
/
documents
/
{document_id}
Delete Document
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Returns a confirmation message with the ID of the deleted document. This endpoint permanently deletes the specified document from the system, including its metadata and any associated records. The response confirms the successful deletion by returning the document ID and a success message.
Was this page helpful?